Public Class Form1
    Private Sub btnGetWithDecoration_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetWithDecoration.Click
        ' Get the image.
        Dim bm As Bitmap = GetFormImage(True)

        ' Do something with it.
        Dim frm As New Form2
        frm.picImage.Image = bm
        frm.Arrange()
        frm.ShowDialog()
    End Sub

    Private Sub btnGetWithoutDecoration_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetWithoutDecoration.Click
        ' Get the image.
        Dim bm As Bitmap = GetFormImage(False)

        ' Do something with it.
        Dim frm As New Form2
        frm.picImage.Image = bm
        frm.Arrange()
        frm.ShowDialog()
    End Sub

    Private Function GetFormImage(Optional ByVal with_decorations As Boolean = True) As Image
        Dim bm As New Bitmap(Me.Width, Me.Height)
        Me.DrawToBitmap(bm, New Rectangle(0, 0, Me.Width, Me.Height))

        If Not with_decorations Then
            ' Trim off the decorations.
            Dim client_origin As Point = Me.PointToScreen(New Point(0, 0))
            Dim deco_left As Integer = client_origin.X - Me.Left
            Dim deco_top As Integer = client_origin.Y - Me.Top
            Dim wid As Integer = Me.ClientRectangle.Width
            Dim hgt As Integer = Me.ClientRectangle.Height
            Dim new_bm As New Bitmap(wid, hgt)
            Dim gr As Graphics = Graphics.FromImage(new_bm)

            gr.DrawImage(bm, New Rectangle(0, 0, wid, hgt), New Rectangle(deco_left, deco_top, wid, hgt), GraphicsUnit.Pixel)
            bm = new_bm
        End If

        Return bm
    End Function

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        e.Graphics.DrawEllipse(Pens.Blue, Me.ClientRectangle)
    End Sub
End Class
